import { request } from 'umi';
import { api } from '../api';

/*====================创建广告======================*/
/**
 * 获取商品库列表
 */
 export interface CreateAdProps {
    campaignName: string, // 计划名称
    campaignType: string, // 计划类型 CAMPAIGN_TYPE_NORMAL CAMPAIGN_TYPE_SEARCH 
    promotedObjectType: string, // 推广目标类型
    dailyBudget?: number,   // 推广计划日预算
    totalBudget?: number, // 推广计划总预算
    speedMode: string, // 投放速度模式
    sysAdgroupsId: number,  // 广告组内容
    sysTargetingId: number,  // 定向包 id
    adName: string,  // 广告名称
    configuredStatus: string,  // 广告状态
    sysAdcreativeId: number, // 创意ID
    sysPageId: number, // 落地页Id
    accountCreateLogs: {
        adAccountId: number, // 媒体账户ID
        userActionSets?: number,  // 数据源
        conversionId?: number, // 广告组 转化Id
        productId?: number,
        enterpriseWx?: any[]  // 企业微信客服组
    }[]
}
export async function getSysProductCatalogApi(data: CreateAdProps) {
    return request(api + `/adq/sysProductCatalog/list`, {
        method: 'POST',
        data
    })
}